> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Operations

> Execute high-level CRUD operations on various collections.

Execute CRUD operations on various collections in the database.


## OpenAPI

````yaml POST /api/v1/operations
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/operations:
    post:
      tags:
        - Database Operations
      summary: Generic database operations
      description: Execute high-level CRUD operations on various collections.
      operationId: post-operations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                db:
                  type: string
                  description: Collection name
                operation:
                  type: string
                  enum:
                    - get
                    - create
                    - update
                    - delete
                    - getOne
                database:
                  type: string
                  enum:
                    - datalake
                    - ailoop
                filter:
                  type: object
                data:
                  type: object
              required:
                - db
                - operation
      responses:
        '200':
          description: Operation successful.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  data:
                    type: array
                  modifiedCount:
                    type: integer
              examples:
                success:
                  value:
                    message: Operation successful.
                    success: true
                    data: []
                    modifiedCount: 1
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````